Bug 49237 - Should be able to create non-linux partitions
Should be able to create non-linux partitions
Product: Red Hat Linux
Classification: Retired
Component: ksconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-07-17 08:02 EDT by Vidar Langseid
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-19 11:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vidar Langseid 2001-07-17 08:02:58 EDT
Description of Problem:

I have testet ksconfig-1.9.3-0.noarch.rpm from rawhide and I must say it is
very much improved compared to v1.2

There are however some features I still miss
 * It should be possible to create non-linux partitions like fat16, fat32,
ksconfig-1.2 supports creation of fat16 but this is gone in v1.9.3. This is
maybe (hopefully) temporary since the partion stuff in 1.9.3 seems to be
enhanced with many new options ?

 * Import function, It would be nice to preload settings from a previously
created ks.cfg file

 * Enhanced package selection. At pressent you are only able to select the
main categories, not each individually package. This is acually kinda
useless. The best solution was if you could generate your own hdlist file
and select packages defined in this.

Best regards,
Comment 1 Brent Fox 2001-07-18 11:07:54 EDT
Thanks for taking a look at the ksconfig in rawhide.  It's pretty much a
complete rewrite of the first version.  My original idea for ksconfig was to
allow you to create a basic kickstart file quickly that you could then customize
manually.  I then realized that the correct thing to do was to extend it to let
you do pretty much everything that kickstart will let you do.

A lot of functionality was missing from 1.2, such as X configuration, individual
package selection, %pre and %post, and configuring software RAID.  The rewrite
took longer than I anticipated, so I didn't get all the functionality into the
current version either.  X configuration, %pre, and %post made it in, but RAID
and individual package selecion will have to wait for a future release.

The import feature is also on the drawing board.  Also, I'd like to have a sort
of "profile this machine" button that would fill in as many of the fields as
possible with information taken from the system that ksconfig is running on. 
This will take some time, but I think it would be useful.
Comment 2 Tammy Fox 2001-07-19 11:54:45 EDT
This report needs to be broken into 3 separate reports.

This report is now about creating vfat partitions.
Refer to bug #49441 for importing kickstart files and
bug #49443 for enhanced package selection.
Comment 3 Tammy Fox 2001-07-19 11:56:04 EDT
I have added vfat back as a filesystem type when creating partitions.
It should be in rawhide soon.
Comment 4 Vidar Langseid 2001-07-19 12:08:40 EDT
Beeing able to choose is vfat is good. 

It would also be great if ksconfig supported the "--type=<X>" where <X> is a
numerical value reflecting the partition type.

This option in kickstart is described here (but I am sure you know this

Note You need to log in before you can comment on or make changes to this bug.